*{
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
}
.header {
  text-align: center;
  background-color: #fff;
  color: #555;
  background: url(../images/top_bg.png) repeat;
}

.header h1 {
  font-size: 1.5rem;
  padding: 20px;
}
.header i {
  font-size: 0.8rem;
}
.nav {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #0099ff;
}

.nav a {
  color: #fff;
  text-decoration: none;
  font-size: 1rem; /* 修改字体尺寸，适应小屏幕 */
  padding: 8px 12px; /* 修改内边距，适应小屏幕 */
  margin: 0 5px; /* 修改外边距，适应小屏幕 */
  border-radius: 5px;
  transition: background-color 0.2s ease;
}

.nav a:hover {
  background-color: #0066cc;
}

.nav a.active {
  background-color: #0066cc;
}


.slide {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 15px 0 10px;
}

.items {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  margin-bottom: 20px;
}

.item {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 10px;
}

.item span {
  width: 100px;
  font-weight: bold;
}

.item input {
  flex: 1;
  width: 150px;
  height: 25px;
  font-size: 16px;
  padding: 5px;
  border: solid 1px #ccc;
}

.item select {
  flex: 1;
  width: 162px;
  height: 37px;
  font-size: 16px;
  padding: 5px;
  border: solid 1px #ccc;
}

.button {
  text-align: center;
}

button {
  font-size: 16px;
  color: #fff;
  background-color: #0099ff;
  border: none;
  border-radius: 5px;
  padding: 10px 20px;
  cursor: pointer;
}

button:hover {
  background-color: #0066cc;
}

.result {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: wrap;
}
textarea {
    margin: 10px;
    width: 100%;
    min-height: 100px;
    overflow: auto;
    font-size: 1.1rem;
}
.clear {
    clear:both;
    height:180px;
}
.foot {
    width: 100%;
    text-align: center;
    background-color: #2d2d2d;
    font-size: 0.9rem;
    color: #fff;
    padding: 15px 0;
    position: fixed;
    bottom: 0;
}
.foot p{
    line-height: 25px;
}
.foot a{
    color: #fff;
}
#codecopy {
    display: none;
    margin: 10px;
    width: 100%;
    overflow-x: auto;
    background: #2d2d2d;
    color: #cccccc;
    padding: 0.5em;
}
.code-line {
    margin: 15px 0;
    resize: auto;
    cursor: text;
    white-space: pre-wrap;
    overflow-wrap: break-word;
    font: 300 13.3333px Arial;
    letter-spacing: 1px;
    cursor: pointer;
}
.tips {
    display: none;
    width: 20%;
    margin: 0 auto;
    max-width: 100px;
    background-color: #33333342;
    text-align: center;
    padding: 10px;
    border-radius: 5px;
    position: fixed;
    left: 0;
    right: 0;
    top: 36%;
    border: 1px solid #fff;
    background-color: #ffffffb8;
}
.tips p {
    color: #009688; 
}
@media (max-width: 576px) { /* 576px是Bootstrap默认的移动设备屏幕宽度阈值，可以根据实际情况进行修改 */
  .nav {
    flex-flow: row;
    justify-content: space-between;
  }
  
  .nav a {
    margin: 5px 0; /* 修改外边距 */
    width: 100%; /* 让链接占满容器宽度 */
    text-align: center; /* 文字居中 */
  }
  
  .nav a:not(:first-child) {
    margin-top: 5px; /* 垂直方向上的间距 */
  }
    .items {
        justify-content: center;
    }  
}